//
// Created by trotfunky on 07/05/19.
//

#ifndef SNIPPETS_CIRCLE_H
#define SNIPPETS_CIRCLE_H

#include <string>
#include <pugixml.hpp>
#include <SFML/Graphics.hpp>

#include "DrawingElement.h"

namespace xmlParser
{
    class Circle : public DrawingElement
    {
    public:
        Circle();
        explicit Circle(const pugi::xml_node&);

        void draw(sf::RenderWindow&) override;

        int getR() const;
        void setR(int newR);

    private:
        int r;
    };
}
#endif //SNIPPETS_CIRCLE_H
